test-framework-0.8.2.2: Framework for running and organising tests, with HUnit and QuickCheck support

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Framework.Options

# Documentation

type TestOptions = TestOptions' Maybe Source #

type CompleteTestOptions = TestOptions' K Source #

data TestOptions' (f :: Type -> Type) Source #

Constructors

TestOptions |

Fields

- topt_seed :: f Seed

  Seed that should be used to create random numbers for generated tests

- topt_maximum_generated_tests :: f Int

  Maximum number of tests to generate when using something like QuickCheck

- topt_maximum_unsuitable_generated_tests :: f Int

  Maximum number of unsuitable tests to consider before giving up when using something like QuickCheck

- topt_maximum_test_size :: f Int

  Maximum size of generated tests when using something like QuickCheck

- topt_maximum_test_depth :: f Int

  Maximum depth of generated tests when using something like SmallCheck

- topt_timeout :: f (Maybe Int)

  The number of microseconds to run tests for before considering them a failure

#### Instances

Instances details

Monoid (TestOptions' Maybe) Source # |
Instance details Defined in Test.Framework.Options Methods mempty :: TestOptions' Maybe Source # mappend :: TestOptions' Maybe -> TestOptions' Maybe -> TestOptions' Maybe Source # mconcat :: [TestOptions' Maybe] -> TestOptions' Maybe Source #
Semigroup (TestOptions' Maybe) Source # |
Instance details Defined in Test.Framework.Options Methods (<>) :: TestOptions' Maybe -> TestOptions' Maybe -> TestOptions' Maybe Source # sconcat :: NonEmpty (TestOptions' Maybe) -> TestOptions' Maybe Source # stimes :: Integral b => b -> TestOptions' Maybe -> TestOptions' Maybe Source #